work on openejb 1 final

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

work on openejb 1 final

dblevins
Administrator
Jeremy, thanks for volunteering to help with a 1.0 final release.  
Here is the script i used to do the beta 1 release:

--------------------
#!/bin/bash
RELEASE_ID='openejb-1.0-beta1'
DIST=$PWD/dist
BIN_DIR=target

mkdir -p $DIST

cvs -d ':pserver:[hidden email]:/home/projects/openejb/scm'  
co -r v1_0beta1 -d $RELEASE_ID openejb1

function shash { openssl $1 < $2 > $2.$1 ;}
function fail () { echo $1 >&2; exit 1;}
function package () {
     DEST=$1; SOURCE=$2
     tar czf $DEST.tar.gz $SOURCE
     zip -9rq $DEST.zip $SOURCE
}

package $DIST/${RELEASE_ID}-src $RELEASE_ID || fail "Unable to create  
source binaries"

( cd $RELEASE_ID && maven -o -Dmaven.{itest,test}.skip=true ) || fail  
"Build failed"

( cd $RELEASE_ID/$BIN_DIR && package $DIST/${RELEASE_ID}  
$RELEASE_ID ) || fail "Unable to make binary archives"

--------------------


Obviously, it needs to be updated here and there, namely around svn.

I think we are pretty much good to go on the 1.0, unless anyone has  
anything else we may have forgotten.  Obviously we'd need to create  
release notes of some kind.  You can copy from this page:

http://www.openejb.org/OpenEJB+1.0+Beta+1



-David
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: work on openejb 1 final

Jeremy Whitlock
David,
     No problem.  I will give the list a few days to comment and then I will
take care of this.  I will document along the way.

Take care,

Jeremy

On 2/13/06, David Blevins <[hidden email]> wrote:

>
> Jeremy, thanks for volunteering to help with a 1.0 final release.
> Here is the script i used to do the beta 1 release:
>
> --------------------
> #!/bin/bash
> RELEASE_ID='openejb-1.0-beta1'
> DIST=$PWD/dist
> BIN_DIR=target
>
> mkdir -p $DIST
>
> cvs -d ':pserver:[hidden email]:/home/projects/openejb/scm'
> co -r v1_0beta1 -d $RELEASE_ID openejb1
>
> function shash { openssl $1 < $2 > $2.$1 ;}
> function fail () { echo $1 >&2; exit 1;}
> function package () {
>      DEST=$1; SOURCE=$2
>      tar czf $DEST.tar.gz $SOURCE
>      zip -9rq $DEST.zip $SOURCE
> }
>
> package $DIST/${RELEASE_ID}-src $RELEASE_ID || fail "Unable to create
> source binaries"
>
> ( cd $RELEASE_ID && maven -o -Dmaven.{itest,test}.skip=true ) || fail
> "Build failed"
>
> ( cd $RELEASE_ID/$BIN_DIR && package $DIST/${RELEASE_ID}
> $RELEASE_ID ) || fail "Unable to make binary archives"
>
> --------------------
>
>
> Obviously, it needs to be updated here and there, namely around svn.
>
> I think we are pretty much good to go on the 1.0, unless anyone has
> anything else we may have forgotten.  Obviously we'd need to create
> release notes of some kind.  You can copy from this page:
>
> http://www.openejb.org/OpenEJB+1.0+Beta+1
>
>
>
> -David
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: work on openejb 1 final

dblevins
Administrator
On Feb 13, 2006, at 9:18 PM, Jeremy Whitlock wrote:

> David,
>      No problem.  I will give the list a few days to comment and  
> then I will
> take care of this.  I will document along the way.

Cool.  You could even put up a dated build for people to try for the  
next few days, then work on the rest of the stuff later.

We did make a few changes, namely the command stuff, that went in  
after the latest unstable build that people have been hammering on.

-David


> Take care,
>
> Jeremy
>
> On 2/13/06, David Blevins <[hidden email]> wrote:
>>
>> Jeremy, thanks for volunteering to help with a 1.0 final release.
>> Here is the script i used to do the beta 1 release:
>>
>> --------------------
>> #!/bin/bash
>> RELEASE_ID='openejb-1.0-beta1'
>> DIST=$PWD/dist
>> BIN_DIR=target
>>
>> mkdir -p $DIST
>>
>> cvs -d ':pserver:[hidden email]:/home/projects/openejb/scm'
>> co -r v1_0beta1 -d $RELEASE_ID openejb1
>>
>> function shash { openssl $1 < $2 > $2.$1 ;}
>> function fail () { echo $1 >&2; exit 1;}
>> function package () {
>>      DEST=$1; SOURCE=$2
>>      tar czf $DEST.tar.gz $SOURCE
>>      zip -9rq $DEST.zip $SOURCE
>> }
>>
>> package $DIST/${RELEASE_ID}-src $RELEASE_ID || fail "Unable to create
>> source binaries"
>>
>> ( cd $RELEASE_ID && maven -o -Dmaven.{itest,test}.skip=true ) || fail
>> "Build failed"
>>
>> ( cd $RELEASE_ID/$BIN_DIR && package $DIST/${RELEASE_ID}
>> $RELEASE_ID ) || fail "Unable to make binary archives"
>>
>> --------------------
>>
>>
>> Obviously, it needs to be updated here and there, namely around svn.
>>
>> I think we are pretty much good to go on the 1.0, unless anyone has
>> anything else we may have forgotten.  Obviously we'd need to create
>> release notes of some kind.  You can copy from this page:
>>
>> http://www.openejb.org/OpenEJB+1.0+Beta+1
>>
>>
>>
>> -David
>>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: work on openejb 1 final

Jeremy Whitlock
David,
     Yeah.  I can document that stuff from a user perspective and from
possibly an extension provider perspective.  I'll be sure to keep you in
touch.

Take care,

Jeremy

On 2/13/06, David Blevins <[hidden email]> wrote:

>
> On Feb 13, 2006, at 9:18 PM, Jeremy Whitlock wrote:
>
> > David,
> >      No problem.  I will give the list a few days to comment and
> > then I will
> > take care of this.  I will document along the way.
>
> Cool.  You could even put up a dated build for people to try for the
> next few days, then work on the rest of the stuff later.
>
> We did make a few changes, namely the command stuff, that went in
> after the latest unstable build that people have been hammering on.
>
> -David
>
>
> > Take care,
> >
> > Jeremy
> >
> > On 2/13/06, David Blevins <[hidden email]> wrote:
> >>
> >> Jeremy, thanks for volunteering to help with a 1.0 final release.
> >> Here is the script i used to do the beta 1 release:
> >>
> >> --------------------
> >> #!/bin/bash
> >> RELEASE_ID='openejb-1.0-beta1'
> >> DIST=$PWD/dist
> >> BIN_DIR=target
> >>
> >> mkdir -p $DIST
> >>
> >> cvs -d ':pserver:[hidden email]:/home/projects/openejb/scm'
> >> co -r v1_0beta1 -d $RELEASE_ID openejb1
> >>
> >> function shash { openssl $1 < $2 > $2.$1 ;}
> >> function fail () { echo $1 >&2; exit 1;}
> >> function package () {
> >>      DEST=$1; SOURCE=$2
> >>      tar czf $DEST.tar.gz $SOURCE
> >>      zip -9rq $DEST.zip $SOURCE
> >> }
> >>
> >> package $DIST/${RELEASE_ID}-src $RELEASE_ID || fail "Unable to create
> >> source binaries"
> >>
> >> ( cd $RELEASE_ID && maven -o -Dmaven.{itest,test}.skip=true ) || fail
> >> "Build failed"
> >>
> >> ( cd $RELEASE_ID/$BIN_DIR && package $DIST/${RELEASE_ID}
> >> $RELEASE_ID ) || fail "Unable to make binary archives"
> >>
> >> --------------------
> >>
> >>
> >> Obviously, it needs to be updated here and there, namely around svn.
> >>
> >> I think we are pretty much good to go on the 1.0, unless anyone has
> >> anything else we may have forgotten.  Obviously we'd need to create
> >> release notes of some kind.  You can copy from this page:
> >>
> >> http://www.openejb.org/OpenEJB+1.0+Beta+1
> >>
> >>
> >>
> >> -David
> >>
>
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: work on openejb 1 final

dblevins
Administrator
On Feb 13, 2006, at 10:53 PM, Jeremy Whitlock wrote:

> David,
>      Yeah.  I can document that stuff from a user perspective and from
> possibly an extension provider perspective.  I'll be sure to keep  
> you in
> touch.
>

I was referring to creating an unstable build for people to kick  
around.  No worries, I whipped one up here:

http://openejb.codehaus.org/unstable/v1.0-20060214

If you can update this page, that would be great.  You don't need to  
keep the old build info up.  Just change everything to point to the  
new one.
  http://www.openejb.org/Latest+Unstable

A side note, the confluenza caching i hacked seems to be broken at  
the moment, so once you update that wiki page, hit this url:

  http://www.openejb.org/Latest+Unstable?cache=remove

Then send a note off to the user list.

Thanks!

-David



> Take care,
>
> Jeremy
>
> On 2/13/06, David Blevins <[hidden email]> wrote:
>>
>> On Feb 13, 2006, at 9:18 PM, Jeremy Whitlock wrote:
>>
>>> David,
>>>      No problem.  I will give the list a few days to comment and
>>> then I will
>>> take care of this.  I will document along the way.
>>
>> Cool.  You could even put up a dated build for people to try for the
>> next few days, then work on the rest of the stuff later.
>>
>> We did make a few changes, namely the command stuff, that went in
>> after the latest unstable build that people have been hammering on.
>>
>> -David
>>
>>
>>> Take care,
>>>
>>> Jeremy
>>>
>>> On 2/13/06, David Blevins <[hidden email]> wrote:
>>>>
>>>> Jeremy, thanks for volunteering to help with a 1.0 final release.
>>>> Here is the script i used to do the beta 1 release:
>>>>
>>>> --------------------
>>>> #!/bin/bash
>>>> RELEASE_ID='openejb-1.0-beta1'
>>>> DIST=$PWD/dist
>>>> BIN_DIR=target
>>>>
>>>> mkdir -p $DIST
>>>>
>>>> cvs -d ':pserver:[hidden email]:/home/projects/openejb/
>>>> scm'
>>>> co -r v1_0beta1 -d $RELEASE_ID openejb1
>>>>
>>>> function shash { openssl $1 < $2 > $2.$1 ;}
>>>> function fail () { echo $1 >&2; exit 1;}
>>>> function package () {
>>>>      DEST=$1; SOURCE=$2
>>>>      tar czf $DEST.tar.gz $SOURCE
>>>>      zip -9rq $DEST.zip $SOURCE
>>>> }
>>>>
>>>> package $DIST/${RELEASE_ID}-src $RELEASE_ID || fail "Unable to  
>>>> create
>>>> source binaries"
>>>>
>>>> ( cd $RELEASE_ID && maven -o -Dmaven.{itest,test}.skip=true ) ||  
>>>> fail
>>>> "Build failed"
>>>>
>>>> ( cd $RELEASE_ID/$BIN_DIR && package $DIST/${RELEASE_ID}
>>>> $RELEASE_ID ) || fail "Unable to make binary archives"
>>>>
>>>> --------------------
>>>>
>>>>
>>>> Obviously, it needs to be updated here and there, namely around  
>>>> svn.
>>>>
>>>> I think we are pretty much good to go on the 1.0, unless anyone has
>>>> anything else we may have forgotten.  Obviously we'd need to create
>>>> release notes of some kind.  You can copy from this page:
>>>>
>>>> http://www.openejb.org/OpenEJB+1.0+Beta+1
>>>>
>>>>
>>>>
>>>> -David
>>>>
>>
>>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: work on openejb 1 final

Jeremy Whitlock
DATE=$(date +%Y%m%d)
VERSION="1.0-$DATE"
RELEASE_ID="openejb-$VERSION"
DIST=$PWD/dist
BIN_DIR=target

function shash { openssl $1 < $2 > $2.$1 ;}
function fail () { echo $1 >&2; exit 1;}
function package () {
    DEST=$1; SOURCE=$2
    tar czf $DEST.tar.gz $SOURCE
    zip -9rq $DEST.zip $SOURCE
}
function replace_version { # VERSION, PROJ
    local VERSION=${1?Must specify a new version name}
    perl -i.bak -pe
"s/<(currentVersion)>[^<]*<\/currentVersion>.*/<\$1>${VERSION}<\/\$1>/"
etc/project.xml
    perl -i.bak -pe
"s/<(version)>1.0-SNAPSHOT<\/version>.*/<\$1>${VERSION}<\/\$1>/"
examples/moviefun/project.xml
}

[ -d "$DIST" ] && rm -r $DIST
mkdir -p $DIST

#cvs -d ':pserver:[hidden email]:/home/projects/openejb/scm'
co -d $RELEASE_ID openejb1
svn export https://svn.codehaus.org/openejb/trunk/openejb1 $RELEASE_ID

( cd $RELEASE_ID && replace_version $VERSION )

package $DIST/${RELEASE_ID}-src $RELEASE_ID || fail "Unable to create
source binaries"

( cd $RELEASE_ID && maven -o -Dmaven.{itest,test}.skip=true ) || fail
"Build failed"

( cd $RELEASE_ID/$BIN_DIR && package $DIST/${RELEASE_ID} $RELEASE_ID )
|| fail "Unable to make binary archives"

for n in $DIST/*; do
    shash md5 $n
done

scp -r $DIST openejb.org:/home/projects/openejb/public_html/unstable/v$VERSION

( cd $RELEASE_ID

OPTS='-Dmaven.remote.group=openejb
-Dmaven.repo.central=beaver.codehaus.org
-Dmaven.repo.central.directory=/dist'

for n in modules/{core,loader}; do
    (cd $n && maven -o -Dmaven.username=${USER} $OPTS jar:deploy)
done
)



On 2/14/06, David Blevins <[hidden email]> wrote:

>
> On Feb 13, 2006, at 10:53 PM, Jeremy Whitlock wrote:
>
> > David,
> >      Yeah.  I can document that stuff from a user perspective and from
> > possibly an extension provider perspective.  I'll be sure to keep
> > you in
> > touch.
> >
>
> I was referring to creating an unstable build for people to kick
> around.  No worries, I whipped one up here:
>
> http://openejb.codehaus.org/unstable/v1.0-20060214
>
> If you can update this page, that would be great.  You don't need to
> keep the old build info up.  Just change everything to point to the
> new one.
>   http://www.openejb.org/Latest+Unstable
>
> A side note, the confluenza caching i hacked seems to be broken at
> the moment, so once you update that wiki page, hit this url:
>
>   http://www.openejb.org/Latest+Unstable?cache=remove
>
> Then send a note off to the user list.
>
> Thanks!
>
> -David
>
>
>
> > Take care,
> >
> > Jeremy
> >
> > On 2/13/06, David Blevins <[hidden email]> wrote:
> >>
> >> On Feb 13, 2006, at 9:18 PM, Jeremy Whitlock wrote:
> >>
> >>> David,
> >>>      No problem.  I will give the list a few days to comment and
> >>> then I will
> >>> take care of this.  I will document along the way.
> >>
> >> Cool.  You could even put up a dated build for people to try for the
> >> next few days, then work on the rest of the stuff later.
> >>
> >> We did make a few changes, namely the command stuff, that went in
> >> after the latest unstable build that people have been hammering on.
> >>
> >> -David
> >>
> >>
> >>> Take care,
> >>>
> >>> Jeremy
> >>>
> >>> On 2/13/06, David Blevins <[hidden email]> wrote:
> >>>>
> >>>> Jeremy, thanks for volunteering to help with a 1.0 final release.
> >>>> Here is the script i used to do the beta 1 release:
> >>>>
> >>>> --------------------
> >>>> #!/bin/bash
> >>>> RELEASE_ID='openejb-1.0-beta1'
> >>>> DIST=$PWD/dist
> >>>> BIN_DIR=target
> >>>>
> >>>> mkdir -p $DIST
> >>>>
> >>>> cvs -d ':pserver:[hidden email]:/home/projects/openejb/
> >>>> scm'
> >>>> co -r v1_0beta1 -d $RELEASE_ID openejb1
> >>>>
> >>>> function shash { openssl $1 < $2 > $2.$1 ;}
> >>>> function fail () { echo $1 >&2; exit 1;}
> >>>> function package () {
> >>>>      DEST=$1; SOURCE=$2
> >>>>      tar czf $DEST.tar.gz $SOURCE
> >>>>      zip -9rq $DEST.zip $SOURCE
> >>>> }
> >>>>
> >>>> package $DIST/${RELEASE_ID}-src $RELEASE_ID || fail "Unable to
> >>>> create
> >>>> source binaries"
> >>>>
> >>>> ( cd $RELEASE_ID && maven -o -Dmaven.{itest,test}.skip=true ) ||
> >>>> fail
> >>>> "Build failed"
> >>>>
> >>>> ( cd $RELEASE_ID/$BIN_DIR && package $DIST/${RELEASE_ID}
> >>>> $RELEASE_ID ) || fail "Unable to make binary archives"
> >>>>
> >>>> --------------------
> >>>>
> >>>>
> >>>> Obviously, it needs to be updated here and there, namely around
> >>>> svn.
> >>>>
> >>>> I think we are pretty much good to go on the 1.0, unless anyone has
> >>>> anything else we may have forgotten.  Obviously we'd need to create
> >>>> release notes of some kind.  You can copy from this page:
> >>>>
> >>>> http://www.openejb.org/OpenEJB+1.0+Beta+1
> >>>>
> >>>>
> >>>>
> >>>> -David
> >>>>
> >>
> >>
>
>
Loading...